Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6921 - Compiling problems - changes between RH6 and RH6.1
Summary: Compiling problems - changes between RH6 and RH6.1
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glib
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-11 09:19 UTC by mike
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-27 19:06:15 UTC


Attachments (Terms of Use)

Description mike 1999-11-11 09:19:50 UTC
There appears to be some changes between RH 6 and RH6.1
which are causing problems with compiling programs.

The immediate problem is a program called gzilla which
compiled fine on RH6 but I can't get it to compile on 6.1.

There would appear to be some changes in packages/ file
layout.

Can someone investigate what changes could be causing the
problem?

This is an example of the error

gcc -DHAVE_CONFIG_H -I. -I. -I../..   -g -Wall
-Waggregate-return\
        -I/usr/X11R6/include -I/usr/lib/glib/include -g -O2
-c GzIO.c
In file included from GzIO.c:15:
LDL.h:82: warning: `struct qelem' declared inside parameter
list
LDL.h:82: warning: its scope is only this definition or
declaration,
LDL.h:82: warning: which is probably not what you want.
LDL.h: In function `_LDL_cat':
LDL.h:86: dereferencing pointer to incomplete type
LDL.h:89: dereferencing pointer to incomplete type
LDL.h:89: dereferencing pointer to incomplete type
LDL.h:92: dereferencing pointer to incomplete type
LDL.h:95: dereferencing pointer to incomplete type
LDL.h: At top level:
LDL.h:112: warning: `struct qelem' declared inside parameter
list
LDL.h: In function `LDL_length':
LDL.h:116: dereferencing pointer to incomplete type
LDL.h:116: dereferencing pointer to incomplete type
make[3]: *** [GzIO.o] Error 1
make[3]: Leaving directory `/root/gzilla-0.3.8/src/IO'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/root/gzilla-0.3.8/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/gzilla-0.3.8'
make: *** [all-recursive-am] Error 2
:>


thanks

Comment 1 Cristian Gafton 2000-01-27 19:06:59 UTC
I am not sure this is a change in the compiler package. Maybe some glibc library
changes are affecting this?

Please reopen if the problem still persists.


Note You need to log in before you can comment on or make changes to this bug.